$ErrorActionPreference = 'Stop';
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$url        = 'https://public-cdn.cloud.unity3d.com/hub/nuo/UnityHubSetup.exe'

$packageArgs = @{
  packageName   = $env:ChocolateyPackageName
  unzipLocation = $toolsDir
  fileType      = 'exe' #only one of these: exe, msi, msu
  url           = $url

  softwareName  = 'unityhub*'

  checksum      = '0b58a72e88acf766d031cbbecb244627ff4d6315f5f633415c9e622cf2c782fe'
  checksumType  = 'sha256'

  silentArgs   = '/S'
}

Install-ChocolateyPackage @packageArgs
